Page MenuHomePhabricator

Build Out Error Handling Queue For Handlers That Rely On External API Calls
Closed, ResolvedPublic2 Estimated Story Points

Description

When event handler that gets data from external sources fails due to unavailability of those services(or any other network related issues), I want to process them later in error queue so I can be sure that my dataset is consistent.

Event Timeline

prabhat set the point value for this task to 12.Oct 9 2021, 1:25 AM
Protsack.stephan changed the point value for this task from 12 to 13.Oct 9 2021, 7:04 AM
prabhat changed the point value for this task from 13 to 9.Oct 15 2021, 5:00 PM

Moving to the next sprint.

AnnaMikla changed the point value for this task from 9 to 8.Oct 15 2021, 8:39 PM
AnnaMikla changed the point value for this task from 8 to 2.Nov 1 2021, 4:50 PM
AnnaMikla changed the task status from Open to In Progress.Thu, Nov 4, 1:54 PM
AnnaMikla changed the task status from In Progress to Open.Mon, Nov 8, 2:10 PM